# Class QCommandHelpFormatting

java.lang.Object
com.io7m.quarrel.core.QCommandHelpFormatting

public final class QCommandHelpFormatting extends Object
Standard functions to format help messages.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `formatCommand(QValueConverterDirectoryType valueConverters, QLocalizationType localization, String applicationName, PrintWriter output, QCommandType command)`
  Format a help message for the given command to the given output.
  `static void`
  `formatGroup(QValueConverterDirectoryType valueConverters, QLocalizationType localization, String applicationName, PrintWriter output, QCommandGroupType group, List<String> path)`
  Format a help message for the given group to the given output.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### formatGroup

    public static void formatGroup(QValueConverterDirectoryType valueConverters, QLocalizationType localization, String applicationName, PrintWriter output, QCommandGroupType group, List<String> path)
    Format a help message for the given group to the given output.
    Parameters:
      `valueConverters` - The value converters
      `localization` - The localization context
      `applicationName` - The application name
      `output` - The output
      `group` - The group
      `path` - The group's path

  - ### formatCommand

    public static void formatCommand(QValueConverterDirectoryType valueConverters, QLocalizationType localization, String applicationName, PrintWriter output, QCommandType command) throws QException
    Format a help message for the given command to the given output.
    Parameters:
      `valueConverters` - The value converters
      `localization` - The localization context
      `applicationName` - The application name
      `output` - The output
      `command` - The command
    Throws:
      `QException`